Package com.omnisci.thrift.server

## Class OmniSci.AsyncProcessor.get_device_parameters<I extends OmniSci.AsyncIface>

- java.lang.Object
- - org.apache.thrift.AsyncProcessFunction<I,​OmniSci.get_device_parameters_args,​Map<String,​String>>
  - - com.omnisci.thrift.server.OmniSci.AsyncProcessor.get_device_parameters<I>

Enclosing class:
  OmniSci.AsyncProcessor<I extends OmniSci.AsyncIface>

    public static class OmniSci.AsyncProcessor.get_device_parameters<I extends OmniSci.AsyncIface>
    extends org.apache.thrift.AsyncProcessFunction<I,​OmniSci.get_device_parameters_args,​Map<String,​String>>

### Constructor Summary

Constructors
`get_device_parameters()`

### Method Summary

All Methods Instance Methods Concrete Methods
`OmniSci.get_device_parameters_args` `getEmptyArgsInstance()`
`org.apache.thrift.async.AsyncMethodCallback<Map<String,​String>>` `getResultHandler​(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
`protected boolean` `isOneway()`
`void` `start​(I iface, OmniSci.get_device_parameters_args args, org.apache.thrift.async.AsyncMethodCallback<Map<String,​String>> resultHandler)`

### Methods inherited from class org.apache.thrift.AsyncProcessFunction

`getMethodName, sendResponse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### get_device_parameters

    public get_device_parameters()

### Method Detail

#### getEmptyArgsInstance

    public OmniSci.get_device_parameters_args getEmptyArgsInstance()

Specified by:
  `getEmptyArgsInstance` in class `org.apache.thrift.AsyncProcessFunction<I extends OmniSci.AsyncIface,​OmniSci.get_device_parameters_args,​Map<String,​String>>`

#### getResultHandler

    public org.apache.thrift.async.AsyncMethodCallback<Map<String,​String>> getResultHandler​(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb,
                                                                                                  int seqid)

Specified by:
  `getResultHandler` in class `org.apache.thrift.AsyncProcessFunction<I extends OmniSci.AsyncIface,​OmniSci.get_device_parameters_args,​Map<String,​String>>`

#### isOneway

    protected boolean isOneway()

Specified by:
  `isOneway` in class `org.apache.thrift.AsyncProcessFunction<I extends OmniSci.AsyncIface,​OmniSci.get_device_parameters_args,​Map<String,​String>>`

#### start

    public void start​(I iface,
                      OmniSci.get_device_parameters_args args,
                      org.apache.thrift.async.AsyncMethodCallback<Map<String,​String>> resultHandler)
               throws org.apache.thrift.TException

Specified by:
  `start` in class `org.apache.thrift.AsyncProcessFunction<I extends OmniSci.AsyncIface,​OmniSci.get_device_parameters_args,​Map<String,​String>>`
Throws:
  `org.apache.thrift.TException`